mwCipherInstance Struct Reference

An instance of a cipher. More...

`#include <mw_cipher.h>`

## Data Fields

struct mwChannel * | channel
| the channel this instances processes
struct mwCipher * | cipher
| the parent cipher.

## Detailed Description

An instance of a cipher.

Expand upon this structure to contain necessary state data

See also
  mwCipher

## Field Documentation

## channel

struct mwChannel* mwCipherInstance::channel

the channel this instances processes

See also
  mwCipherInstance_getChannel

## cipher

struct mwCipher* mwCipherInstance::cipher

the parent cipher.

See also
  mwCipherInstance_getCipher

The documentation for this struct was generated from the following file:

- mw_cipher.h